Subject: bug#74765: 30.0.92; declare-function should respect defun/lambda scope

From: Stefan Kangas <[email-masked]>
Date: Sat, 1 Mar 2025 20:31:56 -0800

forcemerge 69521 74765
thanks

Daniel Mendler <[email-masked]> writes:

> `declare-function' can be used inside of `defun' or `lambda', but the
> declaration still applies to the entire file. The declaration should
> only apply to the scope where it is defined.
>
> (I've seen this problem mentioned multiple times, but I am not sure if
> there is already an issue to track the problem. Feel free to close/merge
> the issues if I missed this.)

This is Bug#69521 I think, so I'm merging them now.